apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: factorytrace-ingress
  namespace: factorytrace
  annotations:
    cert-manager.io/issuer: "letsencrypt-staging"
spec:
  ingressClassName: nginx
  rules:
  - host: lahelice.vespot.co
    http:
      paths:
      - path: /
        pathType: Prefix
        backend:
          service:
            name:  frontpod-service
            port:
              number: 80
  tls:
  - hosts:
    - lahelice.vespot.co # your domain 
    secretName: lahelicevespot-tls          